Alokai

SapccApiGetProductConfigurationRequest

Request parameters for getProductConfiguration operation in SapccApi. SapccApiGetProductConfigurationRequest

interface SapccApiGetProductConfigurationRequest {
	readonly baseSiteId: string;
	readonly configId: string;
	readonly expMode?: boolean;
	readonly groupId?: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetProductConfiguration
configIdRequiredstringConfiguration identifier. {string} SapccApiGetProductConfiguration
expModeOptionalbooleanIf this parameter is provided and its value is true, the system tries to execute the request in expert mode (only possible if the current user belongs to group 'sapproductconfigexpmodegroup'. {boolean} SapccApiGetProductConfiguration
groupIdOptionalstringIf the parameter is provided, only the attributes of the requested group are returned. If the parameter is not provided, attributes for all groups are returned. {string} SapccApiGetProductConfiguration

On this page